Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | List of all members
agora::rtc::IVideoEncodedImageSenderEx Class Referenceabstract

`#include <video_node_i.h>`

Inherits agora::rtc::IVideoEncodedImageSender.

## Public Member Functions
virtual | ~IVideoEncodedImageSenderEx ()
virtual void | RegisterEncodedImageCallback (IVideoEncodedImageCallback *dataCallback, VIDEO_STREAM_TYPE stream_type)=0
virtual void | DeRegisterEncodedImageCallback (IVideoEncodedImageCallback *dataCallback, VIDEO_STREAM_TYPE stream_type)=0
virtual void | AttachStatSpace (uint64_t stats_space)=0
virtual void | DetachStatSpace (uint64_t stats_space)=0
virtual bool | sendEncodedVideoImageLLApiInternal (const uint8_t *imageBuffer, size_t length, const EncodedVideoFrameInfo &videoEncodedFrameInfo)=0
virtual int | getWidth () const =0
virtual int | getHeight () const =0
Public Member Functions inherited from agora::rtc::IVideoEncodedImageSender
virtual bool | sendEncodedVideoImage (const uint8_t *imageBuffer, size_t length, const EncodedVideoFrameInfo &videoEncodedFrameInfo, aosl_ref_t ares=AOSL_REF_INVALID)=0
Public Member Functions inherited from agora::RefCountInterface
virtual void | AddRef () const =0
virtual RefCountReleaseStatus | Release () const =0
virtual bool | HasOneRef () const =0

## Additional Inherited Members
Protected Member Functions inherited from agora::rtc::IVideoEncodedImageSender
| ~IVideoEncodedImageSender ()
Protected Member Functions inherited from agora::RefCountInterface
virtual | ~RefCountInterface ()

## Constructor & Destructor Documentation

## ◆ ~IVideoEncodedImageSenderEx()

virtual agora::rtc::IVideoEncodedImageSenderEx::~IVideoEncodedImageSenderEx | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ RegisterEncodedImageCallback()

virtual void agora::rtc::IVideoEncodedImageSenderEx::RegisterEncodedImageCallback | ( | IVideoEncodedImageCallback * | dataCallback,
|  | VIDEO_STREAM_TYPE | stream_type )
| pure virtual

## ◆ DeRegisterEncodedImageCallback()

virtual void agora::rtc::IVideoEncodedImageSenderEx::DeRegisterEncodedImageCallback | ( | IVideoEncodedImageCallback * | dataCallback,
|  | VIDEO_STREAM_TYPE | stream_type )
| pure virtual

## ◆ AttachStatSpace()

virtual void agora::rtc::IVideoEncodedImageSenderEx::AttachStatSpace | ( | uint64_t | stats_space | ) |
| pure virtual

## ◆ DetachStatSpace()

virtual void agora::rtc::IVideoEncodedImageSenderEx::DetachStatSpace | ( | uint64_t | stats_space | ) |
| pure virtual

## ◆ sendEncodedVideoImageLLApiInternal()

virtual bool agora::rtc::IVideoEncodedImageSenderEx::sendEncodedVideoImageLLApiInternal | ( | const uint8_t * | imageBuffer,
|  | size_t | length,
|  | const EncodedVideoFrameInfo & | videoEncodedFrameInfo )
| pure virtual

## ◆ getWidth()

virtual int agora::rtc::IVideoEncodedImageSenderEx::getWidth | ( |  | ) | const
| pure virtual

## ◆ getHeight()

virtual int agora::rtc::IVideoEncodedImageSenderEx::getHeight | ( |  | ) | const
| pure virtual